Subject: Martin Luther King Jr. Peace and Justice Parades - Hawaii and Nation!
From: [email-masked]
Date: Sun, 17 Jan 1999 13:20:19 EST

Aloha Folks,

Hope you are going to be marching in a Martin Luther King, Jr. parade in your
area.   His vision of peace through justice, equality and fairness is
something we all benefit from.

In Hawaii I am asking those so motivated to join the Hate Crimes Task Force on
Monday January 18 to carry a banner and message to "Stop Hate Crimes."  Meet
at Magaic Isle at Ala Moana Park at 8:30 AM  -- March leaves promptly at 9:30
PM going to Kapiolani Park - for rally.

For those everywhere I would like to ask you to put down into words "What have
be accomplished"  in the civil rights and peace movement since Martin Luther
King's Jr. assasination?   I will be compiling responses to this question for
presentation to the MLK Celebration Committee after this year's events.

What have we accomplished??

do good

William E. Woods